<?php
session_start();
require_once 'config/database.php';

echo "<h1>📝 Crear Inspección Borrador para Pruebas</h1>";

if (!isset($_SESSION['user_id'])) {
    echo "❌ Debes estar logueado<br>";
    echo "<a href='login.php'>Ir a Login</a>";
    exit;
}

try {
    $database = new Database();
    $db = $database->getConnection();
    
    // Obtener primer inmueble y tipo de inspección
    $stmt = $db->query("SELECT id, nombre FROM inmuebles LIMIT 1");
    $inmueble = $stmt->fetch();
    
    $stmt = $db->query("SELECT id, nombre FROM tipos_inspeccion LIMIT 1");
    $tipo = $stmt->fetch();
    
    if ($inmueble && $tipo) {
        // Crear inspección borrador
        $stmt = $db->prepare("
            INSERT INTO inspecciones 
            (inmueble_id, inspector_id, tipo_inspeccion_id, numero_contrato, fecha_inspeccion, estado, comentarios) 
            VALUES (?, ?, ?, ?, ?, 'borrador', 'Inspección de prueba para edición')
        ");
        
        $resultado = $stmt->execute([
            $inmueble['id'],
            $_SESSION['user_id'],
            $tipo['id'],
            'CONTRATO-PRUEBA-' . date('Y-m-d-H-i-s'),
            date('Y-m-d')
        ]);
        
        if ($resultado) {
            $nueva_id = $db->lastInsertId();
            echo "✅ <strong>Inspección borrador creada exitosamente!</strong><br>";
            echo "• ID: {$nueva_id}<br>";
            echo "• Inmueble: {$inmueble['nombre']}<br>";
            echo "• Tipo: {$tipo['nombre']}<br>";
            echo "• Estado: borrador<br>";
            echo "• Inspector: {$_SESSION['user_name']}<br><br>";
            
            echo "<h2>🔗 Enlaces de Prueba:</h2>";
            echo "<a href='inspecciones.php' class='btn' style='background: blue; color: white; padding: 10px; text-decoration: none; margin: 5px; border-radius: 5px;'>Ver en Lista de Inspecciones</a><br>";
            echo "<a href='editar_inspeccion.php?id={$nueva_id}' class='btn' style='background: green; color: white; padding: 10px; text-decoration: none; margin: 5px; border-radius: 5px;'>Editar Directamente</a><br>";
            echo "<a href='ver_inspeccion.php?id={$nueva_id}' class='btn' style='background: orange; color: white; padding: 10px; text-decoration: none; margin: 5px; border-radius: 5px;'>Ver Inspección</a><br>";
            
        } else {
            echo "❌ Error al crear inspección<br>";
        }
        
    } else {
        echo "❌ No hay inmuebles o tipos de inspección en la BD<br>";
        echo "• Inmuebles: " . ($inmueble ? "✅" : "❌") . "<br>";
        echo "• Tipos: " . ($tipo ? "✅" : "❌") . "<br>";
    }
    
} catch (Exception $e) {
    echo "❌ Error: " . $e->getMessage() . "<br>";
}

echo "<br><a href='inspecciones.php' style='color: blue;'>🔙 Volver a Inspecciones</a>";
?>
