<?php
session_start();

echo "<h1>🔧 Reparar Sesión de Usuario</h1>";

// Mostrar sesión actual
echo "<h2>📊 Sesión Actual:</h2>";
foreach ($_SESSION as $key => $value) {
    echo "• {$key}: {$value}<br>";
}

// Conectar a BD para obtener rol real
try {
    require_once 'config/database.php';
    $database = new Database();
    $db = $database->getConnection();
    
    $user_id = $_SESSION['user_id'] ?? 0;
    
    if ($user_id) {
        // Obtener datos completos del usuario
        $stmt = $db->prepare("SELECT * FROM usuarios WHERE id = ?");
        $stmt->execute([$user_id]);
        $usuario = $stmt->fetch();
        
        if ($usuario) {
            echo "<h2>👤 Datos del Usuario en BD:</h2>";
            foreach ($usuario as $key => $value) {
                if ($key !== 'password') { // No mostrar password
                    echo "• {$key}: {$value}<br>";
                }
            }
            
            // Actualizar sesión con rol correcto
            $_SESSION['rol'] = $usuario['rol'] ?? 'inspector';
            $_SESSION['user_role'] = $usuario['rol'] ?? 'inspector'; // Por si acaso
            $_SESSION['nombre'] = $usuario['nombre'];
            $_SESSION['email'] = $usuario['email'];
            
            echo "<h2>✅ Sesión Actualizada:</h2>";
            echo "• rol: " . $_SESSION['rol'] . "<br>";
            echo "• user_role: " . $_SESSION['user_role'] . "<br>";
            
            // Verificar función isAdmin
            function isAdmin() {
                return isset($_SESSION['rol']) && $_SESSION['rol'] === 'administrador';
            }
            
            echo "• isAdmin(): " . (isAdmin() ? "✅ SÍ" : "❌ NO") . "<br>";
            
        } else {
            echo "❌ Usuario no encontrado en BD<br>";
        }
    } else {
        echo "❌ No hay user_id en sesión<br>";
    }
    
} catch (Exception $e) {
    echo "❌ Error: " . $e->getMessage() . "<br>";
}

echo "<h2>🎯 Próximos Pasos:</h2>";
echo "<ol>";
echo "<li><a href='inspecciones.php' style='color: blue;'>Ir a inspecciones.php</a> - Debería mostrar botones de editar</li>";
echo "<li><a href='crear_borrador.php' style='color: blue;'>Crear inspección borrador</a> - Para probar edición</li>";
echo "<li><a href='logout.php' style='color: blue;'>Cerrar sesión</a> y volver a loguearse</li>";
echo "</ol>";
?>
