<?php
// Script para instalar TCPDF
echo "Instalando TCPDF...\n";

// Crear directorio vendor si no existe
if (!file_exists('vendor')) {
    mkdir('vendor', 0755, true);
}

// Descargar TCPDF
$tcpdf_url = 'https://github.com/tecnickcom/TCPDF/archive/refs/heads/main.zip';
$zip_file = 'vendor/tcpdf.zip';

echo "Descargando TCPDF...\n";
file_put_contents($zip_file, file_get_contents($tcpdf_url));

// Extraer ZIP
$zip = new ZipArchive;
if ($zip->open($zip_file) === TRUE) {
    $zip->extractTo('vendor/');
    $zip->close();
    
    // Renombrar directorio
    if (file_exists('vendor/TCPDF-main')) {
        rename('vendor/TCPDF-main', 'vendor/tcpdf');
    }
    
    // Eliminar ZIP
    unlink($zip_file);
    
    echo "TCPDF instalado correctamente en vendor/tcpdf/\n";
} else {
    echo "Error al extraer TCPDF\n";
}

// Crear directorio de assets si no existe
if (!file_exists('assets')) {
    mkdir('assets', 0755, true);
}

echo "Instalación completada.\n";
?>
