USE sistema_inspeccion;

-- Insertar usuario administrador por defecto
INSERT INTO usuarios (nombre, email, password, rol) VALUES 
('Administrador', 'admin@sistema.com', '$2y$10$92IXUNpkjO0rOQ5byMi.Ye4oKoEa3Ro9llC/.og/at2.uheWG/igi', 'admin');

-- Insertar tipo de inspección para bombas contra incendios
INSERT INTO tipos_inspeccion (nombre, descripcion) VALUES 
('Bomba Contra Incendios', 'Inspección semanal de bombas contra incendios según NFPA 25');

-- Insertar secciones de inspección
INSERT INTO secciones_inspeccion (tipo_inspeccion_id, nombre, orden) VALUES 
(1, 'Sala de bombas', 1),
(1, 'Sistemas de la bomba', 2),
(1, 'Sistemas eléctricos', 3),
(1, 'Sistemas del motor diésel', 4),
(1, 'Sistema de vapor', 5),
(1, 'Sistema de escape', 6);

-- Insertar elementos de inspección para Sala de bombas
INSERT INTO elementos_inspeccion (seccion_id, descripcion, orden) VALUES 
(1, 'La temperatura en la sala de bombas es de 40 °F (4 °C) o superior.', 1),
(1, 'Las rejillas de entrada de aire en la sala de bombas parecen funcionar correctamente.', 2),
(1, 'La temperatura en la sala de la bomba no es inferior a 21 °C (70 °F) para la bomba de motor diésel sin calentador de motor.', 3);

-- Insertar elementos de inspección para Sistemas de la bomba
INSERT INTO elementos_inspeccion (seccion_id, descripcion, orden) VALUES 
(2, 'Las válvulas de succión, descarga y derivación de la bomba deben estar abiertas.', 1),
(2, 'No existen fugas en las tuberías ni en las mangueras.', 2),
(2, 'La bomba contra incendios pierde una gota de agua por segundo en las uniones.', 3),
(2, 'La presión de la línea de succión es normal.', 4),
(2, 'La presión de la línea del sistema es normal.', 5),
(2, 'El depósito de succión está lleno.', 6),
(2, 'Las mallas de succión de la fosa no están obstruidas y están en su sitio.', 7),
(2, 'Las válvulas de prueba de flujo de agua están en posición cerrada.', 8);

-- Insertar elementos de inspección para Sistemas eléctricos
INSERT INTO elementos_inspeccion (seccion_id, descripcion, orden) VALUES 
(3, 'La luz del piloto del controlador (encendido) está iluminada.', 1),
(3, 'La luz de encendido normal del interruptor de transferencia está iluminada.', 2),
(3, 'El interruptor de aislamiento para la energía de reserva está cerrado.', 3),
(3, 'La luz de alarma de fase inversa no está iluminada.', 4),
(3, 'La luz de rotación de fase normal está iluminada.', 5),
(3, 'El nivel de aceite en la mirilla vertical del motor es normal.', 6),
(3, 'La bomba de mantenimiento de la presión (jockey) tiene energía.', 7);

-- Insertar elementos de inspección para Sistemas del motor diésel
INSERT INTO elementos_inspeccion (seccion_id, descripcion, orden) VALUES 
(4, 'El tanque de combustible diésel está lleno al menos en dos tercios de su capacidad.', 1),
(4, 'El interruptor selector del controlador está en la posición "auto" (funcionamiento automático).', 2),
(4, 'Las lecturas de tensión de las baterías (2) son normales', 3),
(4, 'Las lecturas de corriente de carga de las baterías son normales.', 4),
(4, 'Los pilotos de las baterías están "encendidos" o los pilotos de falla de batería están "apagados".', 5),
(4, 'Todas las luces piloto de la alarma están "apagadas".', 6),
(4, 'Registre el tiempo de funcionamiento del motor desde el medidor.', 7),
(4, 'El nivel de aceite es normal en las bombas de engranajes de ángulo recto.', 8),
(4, 'El nivel de aceite del cárter es normal.', 9),
(4, 'El nivel de agua de refrigeración es normal.', 10),
(4, 'El nivel de electrolitos en las baterías es normal.', 11),
(4, 'Los terminales de la batería están libres de corrosión.', 12),
(4, 'El calentador de la camisa de agua funciona correctamente.', 13),
(4, 'El nivel de electrolito del sistema de la batería está lleno.', 14),
(4, 'La tensión de arranque de la batería es superior a 9 voltios para un sistema de 12 voltios y a 18 voltios para un sistema de 24 voltios.', 15),
(4, 'La(s) bomba(s) de agua no tiene(n) fugas.', 16),
(4, 'La manguera flexible y las conexiones están en buen estado.', 17),
(4, 'Compruebe el funcionamiento del calentador de aceite lubricante.', 18),
(4, 'Compruebe si hay agua en el tanque de combustible diésel.', 19);

-- Insertar elementos de inspección para Sistema de vapor
INSERT INTO elementos_inspeccion (seccion_id, descripcion, orden) VALUES 
(5, 'En el caso de las bombas accionadas por vapor, la presión del vapor es normal.', 1);

-- Insertar elementos de inspección para Sistema de escape
INSERT INTO elementos_inspeccion (seccion_id, descripcion, orden) VALUES 
(6, 'Examine el sistema de escape en busca de fugas', 1),
(6, 'Vacíe el sifón de condensados.', 2);
