USE sistema_inspeccion;

-- Verificar si la tabla existe
SHOW TABLES LIKE 'fotos_inspeccion';

-- Si no existe, crearla
CREATE TABLE IF NOT EXISTS fotos_inspeccion (
    id INT AUTO_INCREMENT PRIMARY KEY,
    inspeccion_id INT NOT NULL,
    elemento_id INT NOT NULL,
    nombre_archivo VARCHAR(255) NOT NULL,
    ruta_archivo VARCHAR(500) NOT NULL,
    descripcion TEXT,
    fecha_subida TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
    FOREIGN KEY (inspeccion_id) REFERENCES inspecciones(id) ON DELETE CASCADE,
    FOREIGN KEY (elemento_id) REFERENCES elementos_inspeccion(id)
);

-- Verificar estructura
DESCRIBE fotos_inspeccion;

-- Verificar datos existentes
SELECT COUNT(*) as total_fotos FROM fotos_inspeccion;

-- Mostrar fotos por inspección
SELECT 
    i.id as inspeccion_id,
    i.fecha_inspeccion,
    COUNT(f.id) as total_fotos
FROM inspecciones i
LEFT JOIN fotos_inspeccion f ON i.id = f.inspeccion_id
GROUP BY i.id
ORDER BY i.fecha_inspeccion DESC;
