-- Verificar y corregir la columna estado en la tabla inspecciones
USE sistema_inspeccion;

-- Primero verificamos si la columna existe
DESCRIBE inspecciones;

-- Si la columna no existe, la agregamos (ejecutar solo si es necesario)
-- ALTER TABLE inspecciones ADD COLUMN estado ENUM('borrador', 'completada', 'cancelada') DEFAULT 'borrador';

-- Si la columna existe pero no tiene el valor por defecto correcto
ALTER TABLE inspecciones MODIFY COLUMN estado ENUM('borrador', 'completada', 'cancelada') DEFAULT 'borrador';

-- Actualizar registros existentes que puedan tener estado NULL
UPDATE inspecciones SET estado = 'borrador' WHERE estado IS NULL OR estado = '';

-- Verificar el resultado
SELECT id, numero_contrato, estado, fecha_inspeccion FROM inspecciones ORDER BY id DESC LIMIT 10;
