-- Verificar estados actuales
SELECT id, numero_contrato, estado, fecha_inspeccion 
FROM inspecciones 
ORDER BY id DESC;

-- Si quieres marcar manualmente la inspección #1 como completada:
-- UPDATE inspecciones SET estado = 'completada' WHERE id = 1;

-- Si quieres marcar todas las inspecciones que tienen respuestas como completadas:
UPDATE inspecciones i
SET estado = 'completada'
WHERE i.id IN (
    SELECT DISTINCT r.inspeccion_id 
    FROM respuestas_inspeccion r
    GROUP BY r.inspeccion_id
    HAVING COUNT(r.id) > 0
) AND i.estado = 'borrador';

-- Verificar el resultado
SELECT id, numero_contrato, estado, fecha_inspeccion,
       (SELECT COUNT(*) FROM respuestas_inspeccion WHERE inspeccion_id = inspecciones.id) as total_respuestas
FROM inspecciones 
ORDER BY id DESC;
