-- Crear tabla equipos (versión simple y segura)
CREATE TABLE IF NOT EXISTS equipos (
    id INT AUTO_INCREMENT PRIMARY KEY,
    inmueble_id INT NOT NULL,
    tipo_inspeccion_id INT NOT NULL,
    codigo_equipo VARCHAR(50) NOT NULL UNIQUE,
    numero_serie VARCHAR(100) NULL,
    ubicacion VARCHAR(200) NOT NULL,
    descripcion TEXT NULL,
    estado_equipo VARCHAR(20) DEFAULT 'activo',
    fecha_instalacion DATE NULL,
    fecha_ultimo_mantenimiento DATE NULL,
    observaciones TEXT NULL,
    created_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
    updated_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
);

-- Insertar algunos equipos de ejemplo para el inmueble existente
INSERT INTO equipos (inmueble_id, tipo_inspeccion_id, codigo_equipo, ubicacion, descripcion) VALUES
(1, 1, 'EXT-001', 'Planta Baja - Recepción', 'Extintor ABC 6kg'),
(1, 1, 'EXT-002', 'Primer Piso - Oficina A', 'Extintor ABC 6kg'),
(1, 1, 'EXT-003', 'Segundo Piso - Pasillo', 'Extintor ABC 6kg'),
(1, 2, 'BOMBA-001', 'Cuarto de Máquinas', 'Bomba Principal'),
(1, 3, 'EPP-001', 'Almacén de Seguridad', 'Casco de Seguridad'),
(1, 3, 'EPP-002', 'Almacén de Seguridad', 'Chaleco Reflectivo');

-- Mostrar resultado
SELECT 'Tabla equipos creada exitosamente!' as mensaje;
SELECT COUNT(*) as total_equipos FROM equipos;
SELECT codigo_equipo, ubicacion, descripcion FROM equipos ORDER BY codigo_equipo;
