-- Agregar tabla para firmas digitales
CREATE TABLE IF NOT EXISTS firmas_inspeccion (
    id INT AUTO_INCREMENT PRIMARY KEY,
    inspeccion_id INT NOT NULL,
    tipo_firma ENUM('inspector', 'responsable', 'contratista') NOT NULL,
    nombre_firmante VARCHAR(255) NOT NULL,
    cargo_firmante VARCHAR(255),
    firma_base64 LONGTEXT NOT NULL,
    fecha_firma TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
    ip_address VARCHAR(45),
    user_agent TEXT,
    FOREIGN KEY (inspeccion_id) REFERENCES inspecciones(id) ON DELETE CASCADE,
    INDEX idx_inspeccion_firma (inspeccion_id, tipo_firma)
);

-- Agregar columna para indicar si la inspección está firmada
ALTER TABLE inspecciones 
ADD COLUMN firmada TINYINT(1) DEFAULT 0 AFTER estado,
ADD COLUMN fecha_firma TIMESTAMP NULL AFTER firmada;
