-- Script simplificado para agregar campos de aprobación
-- Compatible con versiones más antiguas de MySQL

-- Agregar campos uno por uno con verificación manual
ALTER TABLE inspecciones 
ADD COLUMN IF NOT EXISTS aprobador_id INT NULL AFTER estado;

ALTER TABLE inspecciones 
ADD COLUMN IF NOT EXISTS fecha_aprobacion DATETIME NULL AFTER aprobador_id;

ALTER TABLE inspecciones 
ADD COLUMN IF NOT EXISTS comentarios_aprobacion TEXT NULL AFTER fecha_aprobacion;

ALTER TABLE inspecciones 
ADD COLUMN IF NOT EXISTS rechazador_id INT NULL AFTER comentarios_aprobacion;

ALTER TABLE inspecciones 
ADD COLUMN IF NOT EXISTS fecha_rechazo DATETIME NULL AFTER rechazador_id;

ALTER TABLE inspecciones 
ADD COLUMN IF NOT EXISTS motivo_rechazo TEXT NULL AFTER fecha_rechazo;

-- Agregar índices
CREATE INDEX idx_inspecciones_aprobador ON inspecciones(aprobador_id);
CREATE INDEX idx_inspecciones_rechazador ON inspecciones(rechazador_id);
CREATE INDEX idx_inspecciones_estado ON inspecciones(estado);

SELECT 'Campos de aprobación agregados' as resultado;
