<?php
require_once 'config/config.php';
require_once 'config/database.php';

echo "<h1>🧪 Test de Función isAdmin()</h1>";

echo "<h2>📊 Estado de la Sesión:</h2>";
echo "<ul>";
echo "<li><strong>session_id():</strong> " . session_id() . "</li>";
echo "<li><strong>user_id:</strong> " . (isset($_SESSION['user_id']) ? $_SESSION['user_id'] : 'NO DEFINIDO') . "</li>";
echo "<li><strong>user_name:</strong> " . (isset($_SESSION['user_name']) ? $_SESSION['user_name'] : 'NO DEFINIDO') . "</li>";
echo "<li><strong>user_role:</strong> " . (isset($_SESSION['user_role']) ? $_SESSION['user_role'] : 'NO DEFINIDO') . "</li>";
echo "<li><strong>rol:</strong> " . (isset($_SESSION['rol']) ? $_SESSION['rol'] : 'NO DEFINIDO') . "</li>";
echo "</ul>";

echo "<h2>🔍 Pruebas de Funciones:</h2>";
echo "<ul>";
echo "<li><strong>isLoggedIn():</strong> " . (isLoggedIn() ? '✅ SÍ' : '❌ NO') . "</li>";
echo "<li><strong>isAdmin():</strong> " . (isAdmin() ? '✅ SÍ' : '❌ NO') . "</li>";
echo "</ul>";

echo "<h2>🧪 Debug de isAdmin():</h2>";
echo "<ul>";
echo "<li><strong>isset(\$_SESSION['user_role']):</strong> " . (isset($_SESSION['user_role']) ? '✅ SÍ' : '❌ NO') . "</li>";
echo "<li><strong>\$_SESSION['user_role'] === 'admin':</strong> " . (isset($_SESSION['user_role']) && $_SESSION['user_role'] === 'admin' ? '✅ SÍ' : '❌ NO') . "</li>";
echo "<li><strong>isset(\$_SESSION['rol']):</strong> " . (isset($_SESSION['rol']) ? '✅ SÍ' : '❌ NO') . "</li>";
echo "<li><strong>\$_SESSION['rol'] === 'admin':</strong> " . (isset($_SESSION['rol']) && $_SESSION['rol'] === 'admin' ? '✅ SÍ' : '❌ NO') . "</li>";
echo "</ul>";

echo "<h2>🎯 Resultado Final:</h2>";
if (isAdmin()) {
    echo "<div style='background: #d4edda; color: #155724; padding: 15px; border: 1px solid #c3e6cb; border-radius: 5px;'>";
    echo "<h3>✅ ES ADMINISTRADOR</h3>";
    echo "<p>El usuario tiene permisos de administrador y debería poder editar todas las inspecciones.</p>";
    echo "</div>";
} else {
    echo "<div style='background: #f8d7da; color: #721c24; padding: 15px; border: 1px solid #f5c6cb; border-radius: 5px;'>";
    echo "<h3>❌ NO ES ADMINISTRADOR</h3>";
    echo "<p>El usuario NO tiene permisos de administrador. Solo puede editar sus propias inspecciones en borrador.</p>";
    echo "</div>";
}

echo "<h2>🔗 Enlaces de Prueba:</h2>";
echo "<ul>";
echo "<li><a href='inspecciones.php'>📋 Ir a inspecciones.php</a></li>";
echo "<li><a href='editar_inspeccion.php?id=1'>✏️ Probar editar inspección ID 1</a></li>";
echo "<li><a href='crear_borrador.php'>📝 Crear inspección borrador</a></li>";
echo "<li><a href='dashboard.php'>🏠 Ir al dashboard</a></li>";
echo "</ul>";

echo "<hr>";
echo "<p><small>Si isAdmin() devuelve ❌ NO pero tienes rol 'admin', hay un problema en la función isAdmin() en config/config.php</small></p>";
?>
