<?php
// Archivo para probar el dashboard y ver errores
error_reporting(E_ALL);
ini_set('display_errors', 1);

echo "<h2>Probando componentes del dashboard...</h2>";

// Probar configuración
echo "<h3>1. Probando configuración:</h3>";
try {
    require_once 'config/config.php';
    echo "✓ Config cargado correctamente<br>";
} catch (Exception $e) {
    echo "✗ Error en config: " . $e->getMessage() . "<br>";
}

// Probar base de datos
echo "<h3>2. Probando base de datos:</h3>";
try {
    require_once 'config/database.php';
    $database = new Database();
    $conn = $database->getConnection();
    if ($conn) {
        echo "✓ Conexión a base de datos exitosa<br>";
    }
} catch (Exception $e) {
    echo "✗ Error en base de datos: " . $e->getMessage() . "<br>";
}

// Probar modelos
echo "<h3>3. Probando modelos:</h3>";
try {
    require_once 'models/User.php';
    echo "✓ Modelo User cargado<br>";
    
    require_once 'models/Inspeccion.php';
    echo "✓ Modelo Inspeccion cargado<br>";
    
    require_once 'models/Inmueble.php';
    echo "✓ Modelo Inmueble cargado<br>";
} catch (Exception $e) {
    echo "✗ Error en modelos: " . $e->getMessage() . "<br>";
}

// Probar sesión
echo "<h3>4. Probando sesión:</h3>";
if (session_status() === PHP_SESSION_NONE) {
    session_start();
}

if (isset($_SESSION['user_id'])) {
    echo "✓ Usuario logueado: " . $_SESSION['user_name'] . "<br>";
    echo "✓ ID: " . $_SESSION['user_id'] . "<br>";
    echo "✓ Rol: " . $_SESSION['user_role'] . "<br>";
} else {
    echo "✗ No hay sesión activa<br>";
    echo "<a href='login.php'>Ir al login</a><br>";
}

echo "<h3>5. Información del servidor:</h3>";
echo "PHP Version: " . phpversion() . "<br>";
echo "Session Status: " . session_status() . "<br>";
echo "Session ID: " . session_id() . "<br>";

echo "<hr>";
echo "<a href='dashboard.php'>Ir al Dashboard</a> | ";
echo "<a href='login.php'>Ir al Login</a>";
?>
