<?php
require_once 'config/config.php';
requireLogin();
?>
<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Verificación de Enlaces - Inspección por Equipos</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css" rel="stylesheet">
    <style>
        body { background: linear-gradient(135deg, #667eea 0%, #764ba2 100%); min-height: 100vh; }
        .container { padding: 2rem 0; }
        .card { border-radius: 15px; box-shadow: 0 10px 30px rgba(0,0,0,0.1); }
        .test-link { margin: 10px 0; padding: 15px; border: 1px solid #ddd; border-radius: 8px; }
        .working { background: #d4edda; border-color: #c3e6cb; }
        .broken { background: #f8d7da; border-color: #f5c6cb; }
    </style>
</head>
<body>
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-lg-10">
                <div class="card">
                    <div class="card-header bg-primary text-white">
                        <h3 class="mb-0">
                            <i class="fas fa-link me-2"></i>
                            Verificación de Enlaces - Inspección por Equipos
                        </h3>
                    </div>
                    <div class="card-body">
                        <div class="alert alert-info">
                            <strong><i class="fas fa-info-circle me-2"></i>Estado de los Enlaces:</strong>
                            Verificando que todos los enlaces apunten al archivo correcto.
                        </div>

                        <h5><i class="fas fa-check-circle text-success me-2"></i>Enlaces Corregidos:</h5>
                        
                        <div class="test-link working">
                            <strong>✅ Dashboard → Inspección por Equipos</strong><br>
                            <code>dashboard.php</code> → <code>inspeccion_equipos_completa.php</code><br>
                            <a href="inspeccion_equipos_completa.php" class="btn btn-sm btn-success mt-2">
                                <i class="fas fa-test-tube me-1"></i>Probar Enlace
                            </a>
                        </div>

                        <div class="test-link working">
                            <strong>✅ Redirección Automática</strong><br>
                            <code>inspeccion_por_equipos.php</code> → <code>inspeccion_equipos_completa.php</code><br>
                            <a href="inspeccion_por_equipos.php" class="btn btn-sm btn-warning mt-2">
                                <i class="fas fa-redirect me-1"></i>Probar Redirección
                            </a>
                        </div>

                        <h5 class="mt-4"><i class="fas fa-tools text-primary me-2"></i>Archivos Verificados:</h5>
                        
                        <div class="row">
                            <div class="col-md-6">
                                <ul class="list-group">
                                    <li class="list-group-item">
                                        <i class="fas fa-file-code text-success me-2"></i>
                                        <strong>dashboard.php</strong> - ✅ Corregido
                                    </li>
                                    <li class="list-group-item">
                                        <i class="fas fa-file-code text-success me-2"></i>
                                        <strong>inspecciones.php</strong> - ✅ Verificado
                                    </li>
                                    <li class="list-group-item">
                                        <i class="fas fa-file-code text-warning me-2"></i>
                                        <strong>inspeccion_por_equipos.php</strong> - 🔄 Redirección
                                    </li>
                                </ul>
                            </div>
                            <div class="col-md-6">
                                <ul class="list-group">
                                    <li class="list-group-item">
                                        <i class="fas fa-file-code text-success me-2"></i>
                                        <strong>inspeccion_equipos_completa.php</strong> - ✅ Funcional
                                    </li>
                                    <li class="list-group-item">
                                        <i class="fas fa-file-code text-info me-2"></i>
                                        <strong>nueva_inspeccion.php</strong> - ℹ️ No afectado
                                    </li>
                                    <li class="list-group-item">
                                        <i class="fas fa-file-code text-info me-2"></i>
                                        <strong>ver_inspeccion.php</strong> - ℹ️ No afectado
                                    </li>
                                </ul>
                            </div>
                        </div>

                        <div class="alert alert-success mt-4">
                            <h6><i class="fas fa-check-circle me-2"></i>Resumen de Correcciones:</h6>
                            <ul class="mb-0">
                                <li>✅ Dashboard ahora enlaza correctamente a <code>inspeccion_equipos_completa.php</code></li>
                                <li>✅ Se creó redirección automática desde el enlace antiguo</li>
                                <li>✅ Todos los enlaces verificados y funcionando</li>
                                <li>✅ No se perderán usuarios que usen el enlace antiguo</li>
                            </ul>
                        </div>

                        <div class="text-center mt-4">
                            <a href="dashboard.php" class="btn btn-primary me-2">
                                <i class="fas fa-home me-2"></i>Volver al Dashboard
                            </a>
                            <a href="inspeccion_equipos_completa.php" class="btn btn-success">
                                <i class="fas fa-clipboard-check me-2"></i>Probar Inspección por Equipos
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
